<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKRedirectViewBase from './ibizbookredirect-view-base.vue';

// 基于 @VIEW/实体数据重定向视图/VIEW.vue.ftl 生成

@Component({
    components: {
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKRedirectView extends IBIZBOOKRedirectViewBase {

}
</script>